org.apache.jmeter.protocol.http.util

## Class LoopbackHTTPSocket

- java.lang.Object
- - java.net.Socket
  - - org.apache.jmeter.protocol.http.util.LoopbackHTTPSocket

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class LoopbackHTTPSocket
      extends java.net.Socket

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoopbackHTTPSocket(java.lang.String host, int port)`
    `LoopbackHTTPSocket(java.lang.String host, int port, java.net.InetAddress localAddr, int localPort)`
    `LoopbackHTTPSocket(java.lang.String host, int port, java.net.InetAddress localAddress, int localPort, int timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInputStream()`
    `java.io.OutputStream` | `getOutputStream()`

    - ### Methods inherited from class java.net.Socket

      `bind, close, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoopbackHTTPSocket

          public LoopbackHTTPSocket(java.lang.String host,
                                    int port,
                                    java.net.InetAddress localAddress,
                                    int localPort,
                                    int timeout)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### LoopbackHTTPSocket

          public LoopbackHTTPSocket(java.lang.String host,
                                    int port,
                                    java.net.InetAddress localAddr,
                                    int localPort)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### LoopbackHTTPSocket

          public LoopbackHTTPSocket(java.lang.String host,
                                    int port)
                             throws java.net.UnknownHostException,
                                    java.io.IOException

      Throws:
        `java.net.UnknownHostException`
        `java.io.IOException`

  - ### Method Detail

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()
                                               throws java.io.IOException

      Overrides:
        `getOutputStream` in class `java.net.Socket`
      Throws:
        `java.io.IOException`

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Overrides:
        `getInputStream` in class `java.net.Socket`
      Throws:
        `java.io.IOException`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.